Page MenuHomePhabricator

[EPIC] Create new logos for all projects for DI header
Open, HighPublicSpike

Description

Description

We'll need new logos for the header that include:

  • project logo (puzzle globe, etc)
  • wikipedia
  • tagline (the free encyclopedia, etc)

This epic will include all tasks related to logo creation and documentation.

Open Questions:

  • three logos for individual pieces or one svg with everything?
  • can we use mobile logo for the text and add the globe and tagline around it?
  • are there other complications we have not yet discussed?
  • can we use a script or should we manually create all of the logos
  • What happens when logo is undefined in custom MW & Vector 2020 installation

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
ResolvedGoalovasileva
OpenNone
OpenSpikeNone
Resolvedovasileva
Resolvedalexhollender
Openalexhollender
ResolvedEdtadros
Duplicateovasileva
DuplicateDemian
DuplicateDemian
OpenNone
Resolved Nirzar
ResolvedBukhariSaeed
Resolved Nirzar
ResolvedJoeWalsh
OpenNone
ResolvedAmmarpad
ResolvedAmmarpad
ResolvedVolker_E
ResolvedPikne
DuplicateNone
OpenNone
ResolvedUrbanecm
InvalidNone
Openalexhollender
Resolvedovasileva
Resolvedovasileva
OpenNone
OpenSpikeNone
DuplicateSpikealexhollender
Resolvedovasileva
ResolvedVulpesVulpes825
ResolvedJdlrobson
OpenSpikeovasileva

Event Timeline

ovasileva created this task.Feb 6 2020, 2:30 PM
Restricted Application changed the subtype of this task from "Task" to "Spike". · View Herald TranscriptFeb 6 2020, 2:30 PM
ovasileva triaged this task as High priority.

To the first question, those should be separate files. We need to end up with flexible usage (things like positioning or just using wordmark in certain contexts), therefore separate files are needed/preferred over one SVG.

Volker_E added a comment.EditedFeb 12 2020, 10:56 PM

We should come up with sizing guidelines for future localization. The issues are Latin wordmark show that layout errors (and future work) can be easily avoided if guidelines are followed. My take would be to publish a unified height advisory focussed on the line box, prob accompanied by max-width.

With a lil time having passed, there's more thoughts. Splitting the logo would probably take away simple logo customization for third-party users if not done carefully. Currently, they have to only exchange one square image.

Jdlrobson added a comment.EditedFeb 18 2020, 4:13 PM

For third parties I suggest that when not defined a logo degrades to the site title just as it does on Minerva. Many mediawiki admins will rejoice at no longer having to provide a logo.

Falling back to site title sounds good, nonetheless I'd assume customizing the logo is one of the most used customizations in MW land.

One other minor concern for splitting the logo would be three HTTP requests when on HTTP/1.1.

Volker_E updated the task description. (Show Details)Feb 24 2020, 6:56 PM

@ovasileva just wanted to clarify if this represents the implementation, or the generating of the actual svgs/assets that will be used? If it's the former then I think it could be reassigned to Volker or Jon. If it's the latter we're all set.

@ovasileva just wanted to clarify if this represents the implementation, or the generating of the actual svgs/assets that will be used? If it's the former then I think it could be reassigned to Volker or Jon. If it's the latter we're all set.

So currently implementation is tracked under T246170: Build new logo for Desktop Improvements Header, and generating the actual svgs would be under T246430: Provide logos for all projects. I believe this task currently serves the same purpose as T245190: Implement guidelines around logos creation. I'll move it to signoff and double check during standup today to make sure we all have a similar understanding.

Another thought is that we can convert is to an epic that will hold all work required for logos (although that's just for easy of phab graph reading) as T240856: [EPIC] New header for desktop improvements project contains lots of subtasks

ovasileva renamed this task from [SPIKE] Determine how to create the new logos to [EPIC] Create new logos .Mar 9 2020, 9:36 AM
ovasileva closed this task as Resolved.
ovasileva edited projects, added Epic; removed Spike.
ovasileva updated the task description. (Show Details)

Decided to go the epic route

ovasileva renamed this task from [EPIC] Create new logos to [EPIC] Create new logos for DI header.Mar 9 2020, 9:37 AM
ovasileva reopened this task as Open.
ovasileva removed alexhollender as the assignee of this task.
SOlyoh21 added a subscriber: SOlyoh21.
tomasz removed a subscriber: tomasz.May 18 2020, 3:09 PM

I moved to sign off as all the logos we need at minimum for the first deploy should be done now. Provide logos for all projects (T246430) seems to capture the remaining work (which I think is an epic in itself).

However reading through the description I'm not sure if the intention of this task was to prepare for the first deploy or every deploy - if the latter I think that's a pretty big epic, and we might want to rethink in the interest of short term wins to celebrate the milestone we're already reached.

Either way don't mind - just added to sign off to give that option of reflection :)

@Jdlrobson - I think it was initially created tracking the logos for all projects. We can move back to quarterly goals or even to the backlog I suppose since we'll be tackling this over time

Jdlrobson renamed this task from [EPIC] Create new logos for DI header to [EPIC] Create new logos for all projects for DI header.May 27 2020, 10:53 PM

Moving to backlog makes sense for me since I don't think we have any plans to update any more logos for this quarter? I've updated the title.

I would like to see these logos on Commons, will it be possible? :)

@Iniquity we've uploaded the Commons logo. See the screenshot below — is that what you were referring to?

@alexhollender no, sorry if I explained it wrong :) I mean, will these logos be uploaded to commons?

@alexhollender no, sorry if I explained it wrong :) I mean, will these logos be uploaded to commons?

Ah, of course! Great idea. I've just created T258643 to track that.

@alexhollender no, sorry if I explained it wrong :) I mean, will these logos be uploaded to commons?

Ah, of course! Great idea. I've just created T258643 to track that.

Thanks! :)